Package: org.grails.encoder

## [Java] Interface CodecFactory

-     public interface CodecFactory

  This interface can be used to tell that a Grails Codec class should use these methods for creating the encoder and decoder instances instead of using conventional encode/decode methods.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Decoder` | `getDecoder()` Gets the decoder instance.
    `` | `public Encoder` | `getEncoder()` Gets the encoder instance.

- - ### Method Detail

    - #### public Decoder getDecoder()

      Gets the decoder instance.

      Returns:
        the decoder

    - #### public Encoder getEncoder()

      Gets the encoder instance.

      Returns:
        the encoder